Get operator config
GET {{baseUrl}}/runners/operator
Returns a driver-relevant subset of the driver’s operator config. Source: models/operators.ts findPartialByUserId().
Response fields: id, name, external_runner_payments, proof_of_delivery, stripe_client_id, show_payouts_runner, country, icon_url, color_primary/color_secondary (branding), geofence_enabled, hide_not_yet_paid, currency.
Examples
Section titled “Examples”curl --request GET 'https://api.firstdelivery.com/api/runners/operator'const response = await fetch("https://api.firstdelivery.com/api/runners/operator", { "method": "GET", "headers": {}})const data = await response.json()import requests
response = requests.request( "GET", "https://api.firstdelivery.com/api/runners/operator", headers={},)response.raise_for_status()Saved responses
Section titled “Saved responses”{ "id": 42, "name": "First Delivery", "external_runner_payments": true, "proof_of_delivery": true, "stripe_client_id": "ca_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx", "show_payouts_runner": true, "country": "US", "icon_url": "https://example.com/icon.png", "color_primary": "#1A73E8", "color_secondary": "#FFFFFF", "geofence_enabled": true, "hide_not_yet_paid": false, "currency": "usd"}
